summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author CARLIER Gaetan2011-01-16 07:19:55 +0100
committer Robby Workman2011-01-16 07:19:55 +0100
commitd1f0aa0a79980930d6aea471b546cd90dd81f7c7 (patch)
tree6d6c79d63b18f84c5056735107e81a47143729a1
parent0a7698b8ef778b69ff69f400666185b026d0a429 (diff)
downloadslackbuilds-d1f0aa0a79980930d6aea471b546cd90dd81f7c7.tar.gz
network/perl-IO-Socket-Multicast: Added (send/receive multicast messages)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--network/perl-IO-Socket-Multicast/README9
-rw-r--r--network/perl-IO-Socket-Multicast/perl-IO-Socket-Multicast.SlackBuild99
-rw-r--r--network/perl-IO-Socket-Multicast/perl-IO-Socket-Multicast.info10
-rw-r--r--network/perl-IO-Socket-Multicast/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/network/perl-IO-Socket-Multicast/README b/network/perl-IO-Socket-Multicast/README
new file mode 100644
index 0000000000..f83077e92f
--- /dev/null
+++ b/network/perl-IO-Socket-Multicast/README
@@ -0,0 +1,9 @@
+IO::Socket::Multicast - Perl extension to send and receive multicast messages
+
+The IO::Socket::Multicast module subclasses IO::Socket::INET to enable
+you to manipulate multicast groups. With this module (and an operating
+system that supports multicasting), you will be able to receive incoming
+multicast transmissions and generate your own outgoing multicast
+packets.
+
+This requires perl-IO-Interface.
diff --git a/network/perl-IO-Socket-Multicast/perl-IO-Socket-Multicast.SlackBuild b/network/perl-IO-Socket-Multicast/perl-IO-Socket-Multicast.SlackBuild
new file mode 100644
index 0000000000..1eb60ecd0e
--- /dev/null
+++ b/network/perl-IO-Socket-Multicast/perl-IO-Socket-Multicast.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for perl-IO-Multicast
+
+# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-IO-Socket-Multicast
+VERSION=${VERSION:-1.12}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_PRGNAM=IO-Socket-Multicast
+DOCS="README"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRC_PRGNAM-$VERSION
+tar xvf $CWD/$SRC_PRGNAM-$VERSION.tar.gz
+cd $SRC_PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL INSTALLDIRS=perl
+make
+make test
+make install DESTDIR=$PKG
+
+# Move man pages
+mv $PKG/usr/share/man $PKG/usr/
+
+# Compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+# Remove perllocal.pod and other special files that don't need to be installed
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" -exec rm -f {} \;
+# Remove empty directories
+find $PKG -depth -type d -empty -delete
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/perl-IO-Socket-Multicast/perl-IO-Socket-Multicast.info b/network/perl-IO-Socket-Multicast/perl-IO-Socket-Multicast.info
new file mode 100644
index 0000000000..4e5c6b0504
--- /dev/null
+++ b/network/perl-IO-Socket-Multicast/perl-IO-Socket-Multicast.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-IO-Socket-Multicast"
+VERSION="1.12"
+HOMEPAGE="http://search.cpan.org/dist/IO-Socket-Multicast/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/B/BR/BRAMBLE/IO-Socket-Multicast-1.12.tar.gz"
+MD5SUM="c96e6cbb367b1d11ffe7bb9fbd833540"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="CARLIER Gaetan"
+EMAIL="gcembed@gmail.com"
+APPROVED="rworkman"
diff --git a/network/perl-IO-Socket-Multicast/slack-desc b/network/perl-IO-Socket-Multicast/slack-desc
new file mode 100644
index 0000000000..8c3b48a5cf
--- /dev/null
+++ b/network/perl-IO-Socket-Multicast/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-IO-Socket-Multicast: perl-IO-Socket-Multicast (Send and receive multicast messages)
+perl-IO-Socket-Multicast:
+perl-IO-Socket-Multicast: The IO::Socket::Multicast module subclasses IO::Socket::INET to
+perl-IO-Socket-Multicast: enable you to manipulate multicast groups. With this module (and an
+perl-IO-Socket-Multicast: operating system that supports multicasting), you will be able to
+perl-IO-Socket-Multicast: receive incoming multicast transmissions and generate your own
+perl-IO-Socket-Multicast: outgoing multicast packets.
+perl-IO-Socket-Multicast:
+perl-IO-Socket-Multicast:
+perl-IO-Socket-Multicast:
+perl-IO-Socket-Multicast: